WPS4ParserInternal::State Struct Reference documentation

WPS4ParserInternal::State Struct Reference

the state of WPS4 More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)

## Public Attributes
bool | m_isDosFile
| flag to know if the file is or not a dos file
long | m_eof
| the last file position
libwps_tools_win::Font::Type | m_fontType
| the user font type
libwps_tools_win::Font::Type | m_OEMFontType
| the OEM code page
WPSPageSpan | m_pageSpan
| the actual document size
bool | m_noFirstPageHeader
bool | m_noFirstPageFooter
int | m_numColumns
| the number of columns
int | m_actPage
| the actual page
int | m_numPages

## Detailed Description

the state of WPS4

## Constructor & Destructor Documentation

## ◆ State()

WPS4ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

## Member Data Documentation

## ◆ m_actPage

int WPS4ParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_eof

long WPS4ParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type WPS4ParserInternal::State::m_fontType

the user font type

Referenced by State().

## ◆ m_isDosFile

bool WPS4ParserInternal::State::m_isDosFile

flag to know if the file is or not a dos file

Referenced by State().

## ◆ m_noFirstPageFooter

bool WPS4ParserInternal::State::m_noFirstPageFooter

Referenced by State().

## ◆ m_noFirstPageHeader

bool WPS4ParserInternal::State::m_noFirstPageHeader

Referenced by State().

## ◆ m_numColumns

int WPS4ParserInternal::State::m_numColumns

the number of columns

Referenced by State().

## ◆ m_numPages

int WPS4ParserInternal::State::m_numPages

Referenced by State().

## ◆ m_OEMFontType

libwps_tools_win::Font::Type WPS4ParserInternal::State::m_OEMFontType

the OEM code page

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan WPS4ParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

The documentation for this struct was generated from the following file:

- WPS4.cpp